Redmine - Patch #1789

Raise project-name length-limit from 30 to 35 characters
2008-08-14 13:39 - Mischa The Evil

Status: Closed Start date: 2008-08-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version:

Description
| just needed this modification due to projects structure in Redmine and thought it might be usefull for some other users.

Note that this patch raises the maximum-length of a project-name from 30 characters to 35 characters. If the limit of 35 characters
isn't sufficient modify the patch by replacing the instances of 35 to the desired maximum-length.

Warning: this patch can malform/break different views depending on your setup. | guess that is the main reason why project-names
are limited to 30 characters by default.

Related issues:
Blocks Redmine - Feature #6446: Remove length limits on project identifier an... Closed 2010-09-20

History

#1 - 2008-10-04 21:04 - Otavio Salvador

+1

#2 - 2008-10-07 11:15 - Anonymous

Could you increase the length to 60 characters? Is there any issues increasing the length to that limit?

#3 - 2010-01-14 13:33 - Alexey Palazhchenko

+1. | think 30 characters is not enough for non-English languages.

#4 - 2010-06-19 19:05 - Alexey Palazhchenko

It's better to increase it to 60 or something.
#5 - 2010-08-19 16:37 - Erwin Mueller
+1. This 30 characters limit is really annoying. If there are any visibility issues than the modules should take care of it and the name should not have

any limit. The same goes for the limit of the project's identifier. Can we please rise the limits to at least 255?

#6 - 2010-09-15 04:16 - ardel biscaro

How can | install this patch? lam a newbie using redmine. Please Help thanks

#7 - 2010-11-14 14:10 - Jean-Philippe Lang

- Status changed from New to Closed

See #6446.

#8 - 2010-11-15 07:12 - Alexey Palazhchenko
Thanks!

#9 - 2011-03-11 05:02 - whoiam whoiam

Could you please give me some guide how to raise project-name length-limit from 30 to 35 characters by writing a plugin instead of a patch file?

Thanks in advance

#10 - 2011-03-15 09:00 - whoiam whoiam

| got the following error when i run the patch file in Redmine v1.0.1. Could you please let me know how to fix it?
https://www.redmine.org/issues/6446

(Stripping trailing CRs from patch.)

patching file app/models/project.rb

Hunk #1 FAILED at 56.

1 out of 1 hunk FAILED -- saving rejects to file app/models/project.rb.rej
(Stripping trailing CRs from patch.)

patching file app/views/projects/_form.rhtml

Hunk #1 FAILED at 2.

1 out of 1 hunk FAILED -- saving rejects to file app/views/projects/_form.rhrej
(Stripping trailing CRs from patch.)
